org.springframework.data.mapping

## Class Association<P extends PersistentProperty<P>>

- java.lang.Object
- - org.springframework.data.mapping.Association<P>

Type Parameters:
  `P` - `PersistentProperty`s the association connects.

    public class Association<P extends PersistentProperty<P>>
    extends Object

Value object to capture `Association`s.

Author:
  Jon Brisbin <jbrisbin@vmware.com>, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`Association(P inverse, P obverse)` Creates a new `Association` between the two given `PersistentProperty`s.

### Method Summary

All Methods Instance Methods Concrete Methods
`P` `getInverse()`
`P` `getObverse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Association

    public Association(P inverse,
                       @Nullable
                       P obverse)

Creates a new `Association` between the two given `PersistentProperty`s.

Parameters:
  `inverse` -
  `obverse` -

### Method Detail

#### getInverse

    public P getInverse()

#### getObverse

    @Nullable
    public P getObverse()